% contents.tex - Table of Contents for the lesson*.tex weekly handouts
\NeedsTeXFormat{LaTeX2e}
\documentclass{classdefs}

% Get the time-stamp, updated by make.
% What matters for this document is not the write date of this file,
% which is only a template, but the time of update of the index data.
% Hence we have "make" update the time-stamp when it runs makeindex.
\input{lesson-index.ts}

\usepackage{multicol}
\multicolsep=0pt		%above and below
\raggedright

\usepackage{hanging}

\subtitle{Table of Contents}

% squeeze it in to just three columns,
% and encourage each lesson to all be in the same column
\parskip=0pt plus 2\baselineskip

\voffset -0.25in
\textheight=9.5in
\titlevskip=0.5\titlevskip

\begin{document}

\begin{multicols}{3}[\maketitle]

% Wrap hangparas in latexonly because unknown environments cause
% issues with latex2html.  It tries to pass the commands to latex to
% generate images, rather than just ignoring the environment.
% There's probably a better way to tell latex2html to ignore the
% hangparas environment.
%begin{latexonly}
\begin{hangparas}{1em}{1}
%end{latexonly}

\input{contents-inc.tex}

%begin{latexonly}
\end{hangparas}
%end{latexonly}

\end{multicols}

\end{document}
